#include "../include/TTY.h"

namespace environment {
namespace tty {

  bool TTY::write (uint32_t num_tty, char data)
  {
    if (num_tty >= param->nb_tty)
      return false;

    if (param->with_xtty == true)
      ::write (xtty[num_tty].pipe_output, &data, 1);
    
    fputc (data, xtty[num_tty].log_file);
    fflush(xtty[num_tty].log_file);

    return true;
  }

};
};
